Amazon Linux AMI:xalan-j2 (ALAS-2014-325)

high Nessus Plugin ID 73653
新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

遠端 Amazon Linux AMI 主機缺少一個安全性更新。

描述

據發現,Xalan-Java 的安全處理功能針對特定內容和功能並未定義足夠的限制。
遠端攻擊者若能提供可延伸樣式表語言轉換 (XSLT) 內容,並由使用 Xalan-Java 的應用程式處理,則可利用此瑕疵繞過安全處理功能的預定限制。依據 classpath 中可用的組件而定,這可在執行使用 Xalan-Java 的應用程式的應用程式伺服器環境中造成任意遠端程式碼執行。(CVE-2014-0107)

解決方案

執行「yum update xalan-j2」更新您的系統。

另請參閱

https://alas.aws.amazon.com/ALAS-2014-325.html

Plugin 詳細資訊

嚴重性: High

ID: 73653

檔案名稱: ala_ALAS-2014-325.nasl

版本: 1.5

類型: local

代理程式: unix

已發布: 2014/4/23

已更新: 2018/4/18

相依性: ssh_get_info.nasl

風險資訊

VPR

風險因素: Medium

分數: 5.8

CVSS v2

風險因素: High

基本分數: 7.5

媒介: AV:N/AC:L/Au:N/C:P/I:P/A:P

弱點資訊

CPE: p-cpe:/a:amazon:linux:xalan-j2, p-cpe:/a:amazon:linux:xalan-j2-demo, p-cpe:/a:amazon:linux:xalan-j2-javadoc, p-cpe:/a:amazon:linux:xalan-j2-manual, p-cpe:/a:amazon:linux:xalan-j2-xsltc, cpe:/o:amazon:linux

必要的 KB 項目: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

修補程式發佈日期: 2014/4/17

參考資訊

CVE: CVE-2014-0107

ALAS: 2014-325

RHSA: 2014:0348